# 基础KernelSU模块示例

这是一个基础的KernelSU模块示例，展示了模块的基本结构和功能。

## 模块结构

```
basic-module/
├── module.prop          # 模块属性文件
├── customize.sh         # 安装脚本
├── service.sh          # 服务脚本（运行时创建）
├── system/             # 系统文件替换目录
│   └── etc/
│       └── basic_module.conf
└── README.md           # 本文件
```

## 功能特性

1. **基本模块属性**: 展示必需的模块属性设置
2. **系统文件替换**: 演示如何替换系统文件
3. **安装脚本**: 展示模块安装过程的自定义逻辑
4. **服务脚本**: 演示模块的运行时服务
5. **权限设置**: 展示文件权限的正确设置

## 安装说明

1. 将此目录打包为zip文件
2. 通过KernelSU Manager安装
3. 重启设备生效

## 学习要点

- 了解KernelSU模块的基本结构
- 学习module.prop的属性配置
- 掌握customize.sh的安装逻辑
- 理解systemless修改的工作原理

## 扩展开发

基于此示例，您可以：

1. 添加更多系统文件替换
2. 实现更复杂的安装逻辑
3. 添加WebUI界面
4. 集成第三方组件
5. 实现模块间通信

## 注意事项

- 确保设备已安装KernelSU
- 模块ID必须唯一
- 遵循systemless修改原则
- 合理设置文件权限
